%define pilot_link_version 2:0.12.3-5

### Abstract ###

Name: gnome-pilot
Version: 2.0.17
Release: 9%{?dist}
License: LGPLv2+ and GPLv2+
Group: Applications/Communications
Summary: GNOME pilot programs
URL: http://live.gnome.org/GnomePilot
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: http://download.gnome.org/sources/%{name}/2.0/%{name}-%{version}.tar.bz2
ExcludeArch: s390 s390x

### Patches ###

# RH bug #135304 (sort of)
Patch1: gnome-pilot-2.0.17-fix-conduit-dir.patch

# RH bug #512004 / GNOME bug #584894
Patch2: gnome-pilot-2.0.17-fix-missing-icons.patch

# RH bug #552857
Patch3: gnome-pilot-2.0.17-el6-translation-updates.patch

# RH bug #552857
Patch4: gnome-pilot-2.0.17-el6-translation-updates-2.patch

### Dependencies ###

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

Requires(pre): GConf2
Requires(post): GConf2
Requires(postun): GConf2

Requires: pilot-link >= %{pilot_link_version}

### Build Dependencies ###

BuildRequires: GConf2-devel >= 2.0
BuildRequires: ORBit2-devel >= 2.0.0
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: bonobo-activation-devel >= 1.0.3
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gnome-panel-devel >= 2.0.6
BuildRequires: gob2 >= 2.0.3
BuildRequires: intltool
BuildRequires: libbonobo-devel >= 2.0.0
BuildRequires: libglade2-devel >= 2.0.0
BuildRequires: libgnome-devel >= 2.0.0
BuildRequires: libgnomeui-devel >= 2.0.0
BuildRequires: libtool
BuildRequires: pilot-link-devel >= %{pilot_link_version}

%description
gnome-pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot<tm> or other PalmOS<tm> devices.

%package devel
Group: Development/Libraries
Summary: GNOME pilot libraries, includes, etc
Requires: %name = %{version}-%{release}
Requires: ORBit2-devel
Requires: libgnomeui-devel
Requires: pilot-link-devel >= %{pilot_link_version}
Requires: pkgconfig

%description devel
gpilotd libraries and includes.

%prep
%setup -q
%patch1 -p1 -b .fix-conduit-dir
%patch2 -p1 -b .fix-missing-icons
%patch3 -p1 -b .el6-translation-updates
%patch4 -p1 -b .el6-translation-updates-2

%build
autoreconf --force --install
intltoolize --force
%configure --disable-static
cp %{_bindir}/libtool .
perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=\"-L\\\$libdir\"|g;' libtool
export tagname=CC
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
%makeinstall LIBTOOL=%{_bindir}/libtool
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

echo "NotShowIn=GNOME;" >> $RPM_BUILD_ROOT%{_datadir}/applications/gpilotd-control-applet.desktop

desktop-file-install --vendor="" 			\
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications	\
        --remove-category=Application 			\
	--add-category=HardwareSettings			\
        $RPM_BUILD_ROOT%{_datadir}/applications/gpilotd-control-applet.desktop

mv $RPM_BUILD_ROOT/%{_datadir}/gnome-pilot/conduits/*.conduit \
   $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.{a,la}
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/*.{a,la}
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

# Remove this broken menu item (introduced in 2.0.16).
rm -f $RPM_BUILD_ROOT/%{_datadir}/applications/gpilot-applet.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule				\
	%{_sysconfdir}/gconf/schemas/pilot.schemas		\
	>& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule			\
		%{_sysconfdir}/gconf/schemas/pilot.schemas	\
		>& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule			\
		%{_sysconfdir}/gconf/schemas/pilot.schemas	\
		>& /dev/null || :
fi

%postun
/sbin/ldconfig
scrollkeeper-update -q

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/bonobo/servers/*
%dir %{_libdir}/gnome-pilot
%dir %{_libdir}/gnome-pilot/conduits
%{_libdir}/gnome-pilot/conduits/*
%{_libexecdir}/*
%{_mandir}/man*/*
%{_datadir}/applications/gpilotd-control-applet.desktop
%dir %{_datadir}/gnome-pilot
%dir %{_datadir}/gnome-pilot/conduits
%dir %{_datadir}/gnome-pilot/glade
%{_datadir}/gnome-pilot/devices.xml
%{_datadir}/gnome-pilot/glade/*
%{_datadir}/idl/gnome-pilot.idl
%{_datadir}/mime-info/palm.*
%{_datadir}/pixmaps/*.png
%{_datadir}/gnome/help/gnome-pilot
%{_datadir}/omf/gnome-pilot

%files devel
%defattr(-, root, root)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog

